Page MenuHomePhabricator

Command line installer should have a conclusion message
Closed, ResolvedPublic

Description

The output of the CLI installer is kind of lame:

...
Creating administrator user account
done
Creating main page with default content
done

We can do much better than that. Like after the final done we could have:

MediaWiki has been successfully installed. You can now
visit <$URL> to view your wiki.
If you have questions, check out our frequently asked questions list:
<https://www.mediawiki.org/wiki/Manual:FAQ> or use one of the
support forums linked on that page.

I'll mentor this for GCI. This should probably be added in maintenance/install.php in MediaWiki core.

Event Timeline

Legoktm created this task.Nov 28 2017, 5:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 5:04 AM

Change 394148 had a related patch set uploaded (by AntoniSiek; owner: AntoniSiek):
[mediawiki/core@master] Added new success message when CLI Installer completes it's work succesfuly.

https://gerrit.wikimedia.org/r/394148

Krinkle triaged this task as Normal priority.Nov 29 2017, 10:46 PM

Change 394148 merged by jenkins-bot:
[mediawiki/core@master] Added new success message when CLI Installer completes its work succesfuly.

https://gerrit.wikimedia.org/r/394148

Umherirrender closed this task as Resolved.Dec 1 2017, 7:57 PM